Subject: Re: Define Linux system memory

From: Frank <[email-masked]>
Date: Wed, 20 Dec 2006 08:57:06 -0800 (PST)

--- Clint Thomas <[email-masked]> wrote:

> To anybody who has done this before or understands how to do
> this, I was
> wondering if you know how to "tell" the kernel how much memory
> there is
> in the system. An example would be if I have 512MB of RAM, but
> only want
> the system to know that there is about 500MB in RAM, so that
> 12MB does
> not exist to the OS/kernel. Would this require mucking about
> in U-boot?
> or can I just define this in the kernel source? Thanks
>  
> Clinton Thomas
On the kernel command line passed by u-boot:
mem=500M

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com